StandardServerSF (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.catalina.storeconfig, class: StandardServerSF

# Class StandardServerSF

java.lang.Object
org.apache.catalina.storeconfig.StoreFactoryBase
org.apache.catalina.storeconfig.StandardServerSF

All Implemented Interfaces:
  `IStoreFactory`

public class StandardServerSF extends StoreFactoryBase
Store server.xml Server element and children ( Listener,GlobalNamingResource,Service)

- ## Field Summary

  ### Fields inherited from class StoreFactoryBase

  `sm`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StandardServerSF()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `store(PrintWriter aWriter, int indent, Object aServer)`
  Store a server.xml element with attributes and children.
  `void`
  `storeChildren(PrintWriter aWriter, int indent, Object aObject, StoreDescription parentDesc)`
  Store the specified server element children.

  ### Methods inherited from class StoreFactoryBase

  `getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeElement, storeElementArray, storeXMLHead`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StandardServerSF

    public StandardServerSF()
    Default constructor.

- ## Method Details

  - ### store

    public void store(PrintWriter aWriter, int indent, Object aServer) throws Exception
    Description copied from interface: `IStoreFactory`
    Store a server.xml element with attributes and children.
    Specified by:
      `store` in interface `IStoreFactory`
    Overrides:
      `store` in class `StoreFactoryBase`
    Parameters:
      `aWriter` - the writer to write to
      `indent` - the indentation
      `aServer` - the element to write
    Throws:
      `Exception` - if an error occurs

  - ### storeChildren

    public void storeChildren(PrintWriter aWriter, int indent, Object aObject, StoreDescription parentDesc) throws Exception
    Store the specified server element children.

    Must Implement at subclass for custom store children handling.

    Overrides:
      `storeChildren` in class `StoreFactoryBase`
    Parameters:
      `aWriter` - Current output writer
      `indent` - Indentation level
      `aObject` - Current element
      `parentDesc` - The element description
    Throws:
      `Exception` - Configuration storing error